Bug 454840 - Gxine frequently crash
Gxine frequently crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gxine (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-10 01:21 EDT by Cepreu
Modified: 2009-07-14 14:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:11:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of crash (141.74 KB, image/png)
2008-07-10 01:21 EDT, Cepreu
no flags Details
It is archive with all described logs (39.52 KB, application/x-gzip)
2008-07-17 20:36 EDT, Cepreu
no flags Details
try with it (39.52 KB, application/x-gzip)
2008-08-07 00:21 EDT, Cepreu
no flags Details
i try again with tar. (910.00 KB, application/x-tar)
2008-08-07 00:31 EDT, Cepreu
no flags Details

  None (edit)
Description Cepreu 2008-07-10 01:21:18 EDT
Description of problem:
Gxine frequently crash

Version-Release number of selected component (if applicable):
gxine-0.5.11-17.fc9.i386

How reproducible:
Gxine sometimes (but very frequent) crash: it is just freeze and when you try to
close it, gnome show message "Window 'gxine 0.5.11' not answer". Only way to
resolve: close by "Force exit" and launch gxine again.
  
Additional info:
Usually it is freeze, when i click on some widget (point of menu, button, etc),
or press some key. When i do not touch it, gxine work.
Comment 1 Cepreu 2008-07-10 01:21:18 EDT
Created attachment 311446 [details]
Screenshot of crash
Comment 2 Cepreu 2008-07-11 22:00:13 EDT
I have found workaround. If i choose video driver "opengl", there is no crashes.
But with "xv" problem exist. 
Comment 3 Martin Sourada 2008-07-12 15:03:01 EDT
Thanks for your report and workaround. Does your issue looks similar to any of
these known upstream bugs? I'll look into upstream bugzilla later to see if your
findings might help them.

"gxine has stopped responding."

  This is quite likely to be a locking bug in gxine. You should reconfigure,
  adding --enable-lock-debugging and/or --enable-logging, then rebuild gxine.
  Both options cause *lots* of output to be generated.

  If you can provide a patch, so much the better...

"gxine just hung."

  You may (or may not) want to disable XCB support (--without-xcb). If you
  see something like _XReply showing up in the backtrace, then tell the X
  developers or use your distribution's bug tracker (depending on how you
  installed X). Details including which video output method gxine was using
  will be *very* helpful.

  If it's demonstrably a bug in gxine or xine-lib rather than in an X
  library, then tell us or use your distribution's bug tracker.
Comment 4 Cepreu 2008-07-13 21:42:04 EDT
I am sorry, but i do not have experience to build rpms from src.rpm. I have
downloaded gxine-0.5.11-17.fc9.src.rpm, but i do not know, what i must to do
with it to compile with --enable-lock-debugging and --enable-logging parameters.
I also was tried to download sources from xine-project.org and build it with
this parameters, but ./configure --enable-lock-debugging --enable-logging give
error "configure: error: libjs not found".
Can you write me step-by-step, what i need to do to provide necessary
information? Or give a link to manual about compiling from src.rpm.
Comment 5 Martin Sourada 2008-07-15 14:56:43 EDT
You are missing some devel packages. What I would recomend you would be to let
the needed packages check by rpmbuild, but do the build and install locally, so
that you can easily remove it afterwards without affecting the already installed
rpm. The steps would be probably this:

* Install rpm-build and rpmdevtools
* Set up the rpm tree by invoking rpmdev-setuptree as your normal user (NOT as root)
* Install the srpm as your normal user (NOT as root) by invoking rpm -Uhv
/path/to/gxine-0.5.11-17.fc9.src.rpm
* Navigate to $HOME/rpmbuild/SPECS
* Run rpmbuild -bp gxine.spec
* Install the packages rpmbuild would complain about
* Run rpmbuild -bp gxine.spec once again, it should proceed now
* Naviage to $HOME/rpmbuild/BUILD/gxine-0.5.11
* Run ./configure --prefix=/home/<your-user-name>/Applications, plus add any
configuration options you'd like (e.g. the --enable-lock-debugging). It should
proceed now
* Run make && make install as your normal user (NOT as root). It should install
gxine binary into /home/<your-user-name>/Applications/bin
* run the newly installed gxine binary
(/home/<your-user-name>/Applications/bin/gxine)

These steps will ensure, that when you invoke only 'gxine', the rpm-installed
version will be run, so the item in menu will start the gxine I packaged, while
/home/<your-user-name>/Applications/bin/gxine will start the gxine you built
yourself. After you are done with testing, you can wipe everything in the
/home/<your-user-name>/Applications folder that weren't there before the gxine
install. You don't have probably the Applications folder in your home folder
created yet, so create it before you run the configure script.

If you run into any problems just ask :)
Comment 6 Cepreu 2008-07-17 20:34:59 EDT
Ok, work completed. See 3 attachments below. Comments about this attachments:
exec_xv1.log - it is log with xv video output. Program freeze. And i halt it.
exec_xv2.log - it is log with xv video output. Program give segmentation fault
message.
exec_xv3.log - it is log with xv video output. Program freeze. And i halt it.
exec_gl.log - it is log with opengl video output. Program work normally. I watch
some video and then close it. All right. But after closing program in console
exist message "Segmentation fault". (no problem, because program i already close
program, but strange).
Comment 7 Cepreu 2008-07-17 20:36:31 EDT
Created attachment 312091 [details]
It is archive with all described logs
Comment 8 Martin Sourada 2008-08-01 04:36:30 EDT
For some reason, I am unable to open the archive, would you mind attaching the
logs without gzipping it?
Comment 9 Cepreu 2008-08-07 00:21:47 EDT
Created attachment 313662 [details]
try with it
Comment 10 Cepreu 2008-08-07 00:31:33 EDT
Created attachment 313663 [details]
i try again with tar.
Comment 11 Cepreu 2008-08-07 00:34:06 EDT
Ok, tar must open without troubles.
Comment 12 Martin Sourada 2008-08-07 03:59:45 EDT
(In reply to comment #11)
> Ok, tar must open without troubles.

Yep, thanks, this one is OK :-)
Comment 13 Bug Zapper 2009-06-09 22:00:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2009-07-14 14:11:21 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.